Bug 848750 - Gluster UFO (Gluster Swift) crashes after umount
Gluster UFO (Gluster Swift) crashes after umount
Status: CLOSED INSUFFICIENT_DATA
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
3.3.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 07:00 EDT by Emilio Gonzalez
Modified: 2013-08-06 18:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 01:35:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emilio Gonzalez 2012-08-16 07:00:29 EDT
Description of problem:
When you umount the Gluster Volume from the machine running swift, and later execute again the swift list command, the volume is not remounted again, instead you get an error 500 internal server error.

Version-Release number of selected component (if applicable):
3.3.0 gluster, packages 1.4.8 for swift-lugin set (rpms)

How reproducible:


Steps to Reproduce:
1. Install OpenStack
2. Integrate with Gluster-Swift
3. Configure Keystone and source a credentials exports file
4. Use Gluster swift
5. Use swift commands to manage you object storage (it works fine)
6. Stop gluster swift with swift-init main stop.
7. Umount the volume in local storage
8. Start swift with swift-init main start.
9. Get your error
  
Actual results:
Error 500 Internal Server Error when executing the GET operation on the supposed location of the volume.
Message from syslogd@d106 at Aug 16 19:57:47 ...
 ¿<139>proxy-server ERROR with Account server 127.0.0.1:6012/sdb1 re: Trying to GET /v1/AUTH_b5b8187b9cfe4b8a803dd6c36a80c306: Connection refused (txn: tx0ff050e1c7b14d1ab5893e8494275553) (client_ip: 10.128.8.106)


Expected results:
Mounted volume and list of containers.

Additional info:
It was working perfectly fine before in my testing, with access from Dashboard and everything
Comment 1 Junaid 2012-09-12 01:15:09 EDT
It seems like the account server (this is the process responsible to mount the volume) has not excepted the connection. 

Can you paste the contents of the /etc/swift/proxy-server.conf?

Also, what happens when you try next time, do you get the same error?
Comment 2 Vijay Bellur 2012-10-31 03:04:52 EDT
Can you please provide additional information as requested in comment 1?

Thanks
Comment 3 Junaid 2013-01-22 01:35:51 EST
Closing the bug. Please reopen if the issue is seen again.

Note You need to log in before you can comment on or make changes to this bug.